/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
 
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class InternalFrameExample extends JFrame {
  private JDesktopPane desktop;
  private int frameNumber = 0;
  private int xPos = 0;
  private int yPos = 0;
  private JTextField titleTextField;
  private JCheckBox resizableCheckBox;
  private JCheckBox closableCheckBox;
  private JCheckBox maximizableCheckBox;
  private JCheckBox iconifiableCheckBox;

  public InternalFrameExample() {
    super("InternalFrameExample");
    setSize(640,210);
    JToolBar toolbar = createToolBar();
    desktop = new JDesktopPane();
    getContentPane().add(BorderLayout.WEST,toolbar);
    getContentPane().add(BorderLayout.CENTER,desktop);
    setVisible(true);
  }
  protected JToolBar createToolBar() {
    JToolBar tb = new JToolBar(JToolBar.VERTICAL);
    JPanel titlePanel = new JPanel();
    titlePanel.setLayout(new FlowLayout());
      JLabel titleLabel = new JLabel("Titolo");
      titleTextField = new JTextField("Frame 0",10);
    titlePanel.add(titleLabel);
    titlePanel.add(titleTextField);
    resizableCheckBox = new JCheckBox("Ridimensionabile");
    closableCheckBox = new JCheckBox("Richiudibile");
    maximizableCheckBox = new JCheckBox("Massimizzabile");
    iconifiableCheckBox = new JCheckBox("Iconificabile");
    JButton generateButton = new JButton("Genera un JInternalFrame");

    ActionListener listener = new GenerateButtonActionListener();
    generateButton.addActionListener(listener);
    titleTextField.addActionListener(listener);
    
    tb.add(titlePanel);
    tb.add(resizableCheckBox);
    tb.add(closableCheckBox);
    tb.add(maximizableCheckBox);
    tb.add(iconifiableCheckBox);
    tb.add(generateButton);
    return tb;
  }   
  protected JInternalFrame createFrame(String title,boolean resizable,boolean closable,boolean maximizable,boolean iconifiable) {
    // Crea il Frame secondo i parametri
    JInternalFrame frame = new JInternalFrame(title,resizable,closable,maximizable,iconifiable);
    frame.setSize(120,80);
    // Aggiunge una Label al suo interno
    JLabel titleLabel = new JLabel(title,JLabel.CENTER);
    frame.getContentPane().add(titleLabel);
    
    // Calcola la posizione del nuovo InternalFrame
    int xSize = desktop.getWidth()-frame.getWidth(); 
    int ySize = desktop.getHeight()-frame.getHeight();
    int xStep = desktop.getWidth()/10;
    int yStep = desktop.getHeight()/10;
    xPos=(xPos+xStep)%xSize;
    yPos=(yPos+yStep)%ySize;
    frame.setLocation(xPos,yPos);
    
    return frame;
  }
  class GenerateButtonActionListener implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      String title = titleTextField.getText();
      boolean resizable = resizableCheckBox.isSelected();
      boolean closable = closableCheckBox.isSelected();
      boolean maximizable = maximizableCheckBox.isSelected();
      boolean iconifiable = iconifiableCheckBox.isSelected();
      JInternalFrame frame = createFrame(title,resizable,closable,maximizable,iconifiable);
      // aggiunge al JDesktopPane
      desktop.add(frame);
      // lo mette in cima agli altri JInternalFrame
      frame.moveToFront();
      // lo rende visibile
      frame.setVisible(true);
      titleTextField.setText("Frame "+String.valueOf(frameNumber++));
     }
  }
  public static void main(String[] args) {
    InternalFrameExample frame = new InternalFrameExample();
  }
}
