/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import java.awt.*;

public class JSplitDemo extends JFrame {
  public JSplitDemo(String fileName) {
    super("JSplitPane");
    setSize(300,250);
    
    // costruisce un pannello contenente un'immagine
    ImageIcon img = new ImageIcon(fileName);
    JLabel picture = new JLabel(img);
    JScrollPane pictureScrollPane = new JScrollPane(picture);
    
    // crea un pannello contenente una TextArea
    JTextArea comment = new JTextArea();
    JScrollPane commentScrollPane = new JScrollPane(comment);
    
    // Crea uno SplitPane verticale con i due pannelli al suo interno
    JSplitPane splitPane = new JSplitPane(JSplitPane.VERTICAL_SPLIT,pictureScrollPane, commentScrollPane);
    splitPane.setOneTouchExpandable(true);
    splitPane.setDividerLocation(190);
    splitPane.setContinuousLayout(true);
     
    // aggiunge lo SplitPane al Frame principale
    getContentPane().add(splitPane);
    setVisible(true);    
  }
 public static void main(String argv[])
 {
    if(argv.length==1) {    
      JSplitDemo b = new JSplitDemo(argv[0]);
    }
    else
      System.out.println("usage JSplitDemo <filename>");
 }
} 

