/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import javax.swing.event.*;

public class JTabbedPaneExample extends JFrame {
  private JTabbedPane tabbedPane;
  public JTabbedPaneExample() {
    super("JTabbedPaneExample");
    tabbedPane = new JTabbedPane();
    JTextField tf = new JTextField("Primo Tab");
    JButton b = new JButton("Secondo Tab");
    JSlider slider = new JSlider(JSlider.HORIZONTAL,0,60,15);
    tabbedPane.addChangeListener(new TabListener());
    tabbedPane.addTab("One", tf );
    tabbedPane.addTab("Two", b );
    tabbedPane.addTab("Three", slider);
    getContentPane().add(tabbedPane);
    pack();
    setVisible(true);
  }
  public class TabListener implements ChangeListener {
    public void stateChanged(ChangeEvent e) {
      int pos = tabbedPane.getSelectedIndex();
      String title = tabbedPane.getTitleAt(pos);
      setTitle(title);
    }           
  }
  public static void main(String[] args) {
    JTabbedPaneExample te = new JTabbedPaneExample();
  }
}
